'use strict';
//参考：http://mockjs.com/examples.html
const Mock = require('mockjs');

/**
 * @description 通过Mock生成测试数据
 * @param count 记录条数
 * @param rules mock 规则
 * @returns {[]}
 */
const getTestData = (count = 10, rules = null)=>{
  let temp = [];
  if(rules === null) rules = {
    id: 1000 + '@increment',
    name: '@cname(3,3)',
    package_name: '@ctitle(5,15)',
    created: "@datetime('yyyy-MM-dd HH:mm:ss')",
    updated: "@now('yyyy-MM-dd HH:mm:ss')",
    'status|+1': ['Y','X'],
    image: "@image('120x90')"
  };
  for(let i =0; i < count; i++) {
    temp.push(Mock.mock(rules))
  }
  return (count === 1 ? temp[0] : temp);
};

module.exports = {
  getTestData
};
