import Layout from '@/layout'
import roles from '@/constant/permissions' //引用权限值
const enterprise_buy = roles.enterprise_buy
const enterpriseBuyRouter = {
  path: '/enterprise_buy',
  component: Layout,
  sort: 80,
  name: '集采单管理',
  alwaysShow: true,
  redirect: '/enterprise_buy/list',
  meta: {
    title: '集采单管理',
    icon: 'el-icon-collection',
    iconSize: 20,
    roles: [enterprise_buy.purchaseMainOrder]
  },
  children: [
    {
      path: 'list',
      name: 'enterprise_buy_list',
      component: () => import('@/viewsEnterpriseBuy/list'),
      meta: {
        title: '集采单列表',
        icon: 'el-icon-document',
        roles: [enterprise_buy.purchaseMainOrder]
      }
    },
    {
      path: 'detail/:id',
      name: 'enterprise_buy_detail',
      component: () => import('@/viewsEnterpriseBuy/detail'),
      hidden: true,
      meta: {
        title: '集采单详情',
        icon: 'el-icon-s-platform',
        roles: [enterprise_buy.purchaseMainOrderInfo],
        activeMenu: "/enterprise_buy/list"
      }
    },
    {
      path: 'order_detail/:id',
      name: 'enterprise_buy_order_detail',
      component: () => import('@/viewsEnterpriseBuy/order_detail'),
      hidden: true,
      meta: {
        title: '订单详情',
        icon: 'el-icon-s-platform',
        roles: [enterprise_buy.mainOrderDetail],
        activeMenu: "/enterprise_buy/list"
      }
    },
    // #ifdef admin
    {
      path: 'set_list',
      name: 'set_list',
      component: () => import('@/viewsEnterpriseBuy/set_list'),
      meta: {
        title: '集采配置',
        icon: 'el-icon-setting',
        roles: [enterprise_buy.taxRatioConfigList],
      }
    },
    {
      path: 'set_create',
      name: 'set_create',
      component: () => import('@/viewsEnterpriseBuy/set_create'),
      hidden: true,
      meta: {
        title: '新增集采配置',
        icon: 'el-icon-s-platform',
        roles: [enterprise_buy.taxRatioConfigSet],
        activeMenu: "/enterprise_buy/set_list"
      }
    },
    {
      path: 'set_update/:id',
      name: 'set_update',
      component: () => import('@/viewsEnterpriseBuy/set_create'),
      hidden: true,
      meta: {
        title: '编辑集采配置',
        icon: 'el-icon-s-platform',
        roles: [enterprise_buy.taxRatioConfigGet,enterprise_buy.taxRatioConfigSet],
        activeMenu: "/enterprise_buy/set_list"
      }
    },
    // #endif
  ]
}

export default enterpriseBuyRouter
