import Layout from '@/layout'
import tradeRecord from "@/constant/modules/tradeRecord.js"
import wallet from "@/constant/modules/wallet.js"
const balanceRouter = {
  path: '/balance',
  component: Layout,
  sort: 95,
  name: '账户余额',
  redirect: '/balance/list',
  alwaysShow: true,
  meta: {
    title: '账户余额',
    icon: 'xdicon_shoukuanyeji',
    iconSize: 20,
    roles: [wallet.listPartnerWallet, wallet.listSupplierWallet, wallet.listChannelWallet]
  },
  children: [
    {
      path: 'list',
      name: 'PageBalanceList',
      component: () => import('@/viewsFinance/balance/list'),
      meta: {
        title: '账户余额列表',
        icon: 'xdicon_shoukuanyeji',
        roles: [wallet.listPartnerWallet, wallet.listSupplierWallet, wallet.listChannelWallet]
      }
    },
    {
      path: "detail_partner/:id",
      name: "PagePartnerDetail",
      component: () => import("@/viewsFinance/balance/detail_partner"),
      hidden: true,
      meta: {
        title: "加盟商明细对账",
        activeMenu: "/balance/list",
        roles: [tradeRecord.listPartner]
      }
    },
    {
      path: "detail_channel/:id",
      name: "PageChannelDetail",
      component: () => import("@/viewsFinance/balance/detail_channel"),
      hidden: true,
      meta: {
        title: "渠道明细对账",
        activeMenu: "/balance/list",
        roles: [tradeRecord.listSupplier]
      }
    },
    {
      path: "detail_supplier/:id",
      name: "PageSupplierDetail",
      component: () => import("@/viewsFinance/balance/detail_supplier"),
      hidden: true,
      meta: {
        title: "供应商明细对账",
        activeMenu: "/balance/list",
        roles: [tradeRecord.listSupplier]
      }
    },
    {
      path: "detail_openapi/:id",
      name: "PageOpenapiDetail",
      component: () => import("@/viewsFinance/balance/detail_openapi"),
      hidden: true,
      meta: {
        title: "openapi明细对账",
        activeMenu: "/balance/list",
        roles: [tradeRecord.listOpenApi]
      }
    }
  ]
}

export default balanceRouter
