import Layout from '@/layout'
import wallet from "@/constant/modules/wallet.js"

const financeRouter = {
  path: '/finance',
  component: Layout,
  sort: 105,
  name: '我的账号',
  redirect: '/finance/index',
  meta: {
    title: '我的账号',
    icon: 'xdicon_huijikemuguanli',
    iconSize: 20,
    roles: [wallet.listHomeWallet]
  },
  children: [
    {
      path: 'index',
      name: 'PageFinanceIndex',
      component: () => import('@/viewsFinance/index'),
      meta: {
        title: '我的账号',
        icon: 'xdicon_huijikemuguanli',
        roles: [wallet.listHomeWallet]
      }
    }
  ]
}

export default financeRouter
