import Layout from '@/layout'
// import roles from '@/constant/permissions' //引用权限值
// const balance = roles.balance
const balanceRouter = {
  path: '/balance',
  component: Layout,
  sort: 95,
  name: '账户余额',
  redirect: '/balance/list',
  alwaysShow: true,
  meta: {
    title: '账户余额',
    icon: 'xdicon_dianying1',
    iconSize: 20,
    // roles: [balance.adminMovieList]
  },
  children: [
    {
      path: 'index',
      name: 'balanceIndex',
      component: () => import('@/viewsFinance/balance/index'),
      meta: {
        title: '账户余额首页',
        icon: 'xdicon_dianying1',
        // roles: [film.adminMovieList]
      }
    },
    {
      path: 'list',
      name: 'balanceList',
      component: () => import('@/viewsFinance/balance/list'),
      meta: {
        title: '账户余额列表',
        icon: 'xdicon_dianying1',
        // roles: [film.adminMovieList]
      }
    },
    {
      path: "detail/:id",
      name: "balanceDetail",
      component: () => import("@/viewsFinance/balance/detail"),
      hidden: true,
      meta: {
        title: "对账",
        activeMenu: "/balance/list"
      }
    },
    {
      path: "reconciliation",
      name: "balanceReconciliation",
      component: () => import("@/viewsFinance/balance/reconciliation"),
      hidden: true,
      meta: {
        title: "明细对账",
        activeMenu: "/balance/list"
      }
    }
  ]
}

export default balanceRouter
