'use strict';

import Layout from '@/layout'
import roles from '@/constant/permissions' //引用权限值
const corders = roles.corders;

const cordersRouter = {
  path: '/corders',
  sort: 97,
  component: Layout,
  name: '订单管理',
  redirect: '/corders/list',
  meta: {
    title: '订单管理',
    icon: 'iconquanbudingdan',
    iconSize: 22,
    roles: [corders.getListOrders]
  },
  children: [
    {
      path: 'custom_list',
      name: '客户订单管理',
      component: () => import ('@/viewsPack/corders/custom_list'),
      meta: {
        title: '客户订单管理',
        icon: 'el-icon-document',
        iconSize: 22,
        roles: [corders.getListOrders]
      }
    },
    {
      path: 'source_list',
      name: '货源订单',
      component: () => import ('@/viewsPack/corders/source_list'),
      meta: {
        title: '货源订单',
        icon: 'el-icon-document',
        iconSize: 22,
        roles: [corders.getListOrders]
      }
    },
    {
      path: 'offline_list',
      name: '线下订单管理',
      component: () => import ('@/viewsPack/corders/offline_list'),
      meta: {
        title: '线下订单管理',
        icon: 'el-icon-document',
        iconSize: 22,
        roles: [corders.getListOrders]
      }
    },
    {
      path: 'detail/:id',
      name: '订单详情',
      hidden: true,
      component: () => import ('@/viewsPack/corders/detail'),
      meta: {
        title: '订单详情',
        activeMenu: '/corders/list',
        roles: [corders.getByIdOrders],
      }
    },
    {
      path: 'sub_detail/:id',
      name: '订单详情',
      hidden: true,
      component: () => import ('@/viewsPack/corders/sub_detail'),
      meta: {
        title: '拆单订单详情',
        activeMenu: '/corders/list',
        roles: [corders.getByIdOrders],
      }
    },

  ]
}

export default cordersRouter
