'use strict';
const viewsSchemas = require('./../../../../viewsSchemas');
const {
  tasks
} = viewsSchemas;

module.exports = {
  name: 'tasks',
  title: '任务管理',
  vuex: true,
  model: [
    {
      mapFn: 'getByIdTasks',
      isRule: false,
      title: '获取任务详情',
      path: tasks.getByIdTasks,
      params : {
        account: ['账号', 'String', '必选'],
        password: ['密码', 'String', '必选'],
        type: ['登录类型', 'String|Number', '必选'],
        uuid: ['登录类型', 'String|Number', '必选', '12345675432'],
      },
      disabled: true,
      role: 'getByIdTasks',
    },
    {
      mapFn: 'getListTasks',
      isRule: false,
      title: '获取任务列表',
      path: tasks.getListTasks,
      params: {
        account: ['账号', 'String', '必选'],
        password: ['密码', 'String', '必选'],
        type: ['登录类型', 'String|Number', '必选'],
        uuid: ['登录类型', 'String|Number', '必选', '12345675432'],
      },
      disabled: true,
      role: 'getListTasks',
    }

  ],
}


